using Nox.Core;
using Nox.Platform;
using UnityEngine;

namespace Nox.Game {
    public class RestPlayMode : IPlayMode {
        private readonly PlatformSettings platformSettings;
        private readonly PartyDefinition partyDefinition;

        public RestPlayMode(PlatformSettings platformSettings, PartyDefinition partyDefinition) {
            this.platformSettings = platformSettings;
            this.partyDefinition = partyDefinition;
        }

        public bool IsGameModeInitialized { get; private set; }

        public void EnterPlayMode() {
            if(partyDefinition == null) {
                Debug.LogWarning("RestPlayMode started without PartyData.");
            }

            Debug.Log("Entering Rest Play Mode");
            IsGameModeInitialized = true;
        }

        public void Tick() { }
        public void LateTick() { }
        public void ExitGameMode() { }
        public void Dispose() { }
    }
}
